Bug 1315239 (worklets-1)

[meta] Implement CSS Houdini "Worklets Level 1" spec

NEW
Unassigned

Status

()

Core
DOM
P3
normal
2 years ago
6 days ago

People

(Reporter: smaug, Unassigned)

Tracking

(Depends on: 1 bug, Blocks: 4 bugs, {dev-doc-needed, meta})

50 Branch
dev-doc-needed, meta
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Comment hidden (empty)
(P3 != "no one will work on this". It just means this isn't a crasher or super urgent fix which is what we use P1 for)
Priority: -- → P3
Keywords: dev-doc-needed
Blocks: 1329166
Blocks: 1323667
Alias: worklets-1
There are currently no other dependencies besides the already fixed bug 1290021. What else is needed here?
I assume, this bug should actually be a meta-bug and the actual implementation happen in blocking bugs, like it's done in other CSS module bugs, right?

Sebastian
Flags: needinfo?(overholt)
No one's working on this AFAIK. I don't know about Houdini (see https://wiki.mozilla.org/CSS/Houdini); maybe Tantek knows? Oh, and Karl may need something here for Audio Worklets (see https://groups.google.com/d/msg/mozilla.dev.platform/EtjfqRd9FI0/30DfQ3c6DgAJ)?
Flags: needinfo?(tantek)
Flags: needinfo?(overholt)
Flags: needinfo?(karlt)
Depends on: 1333412
Yes, AudioWorklet needs Worklets Level 1, and consider this a meta bug.

I expect there will be more required, but I don't know what at this stage.
Flags: needinfo?(karlt)
Summary: Implement Houdini "Worklets Level 1" spec → [meta] Implement Houdini "Worklets Level 1" spec

Comment 5

11 days ago
Worklets is one of the Houdini specs we are "considering" but have no firm implementation plans for. Unlikely for 2018, we can reconsider when doing 2019 CSS priorities.
Keywords: meta
Summary: [meta] Implement Houdini "Worklets Level 1" spec → [meta] Implement CSS Houdini "Worklets Level 1" spec

Updated

11 days ago
Flags: needinfo?(tantek)
You need to log in before you can comment on or make changes to this bug.